/**
 * @packageDocumentation
 * @module Array
 */
/**
 * Returns if the input is an array or
 * @private
 * @internal
 * @param input
 */
export declare function isArrayOrSet(input: unknown): input is ArrayLike<unknown>;
/**
 * Flat map a set
 * @private
 * @internal
 * @param input
 */
export declare function flatMapSet<T extends unknown>(input: Set<T>[] | Set<T>): T[][];
/**
 * Flat map a set
 * @private
 * @internal
 * @param input
 */
export declare function flatMapMap<K extends unknown, V extends unknown>(input: Map<K, V>[] | Map<K, V>): [K, V][];
